Public Magalu Cloud D-1 consumption API for retrieving usage data in FOCUS v1.0 format.
Returns monthly usage data in FOCUS v1.0 format.
To authenticate, create an API Key using the official procedure at How to create an API Key.
When creating the key, select the Magalu Cloud > tally-consumption-api application/scope.
| accrual_period | string^\d{4}-(0[1-9]|1[0-2])$ Deprecated Example: accrual_period=2026-04 Consumption period in YYYY-MM format. ⚠️ DEPRECATED: This parameter will be removed in a future version. We strongly recommend using |
| start_date | string^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$... Example: start_date=2026-04-01 Start date for the usage filter in YYYY-MM-DD format. |
| end_date | string^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$... Example: end_date=2026-04-15 End date for the usage filter in YYYY-MM-DD format. |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 150 The maximum number of records returned per page. |
| offset | integer (Offset) >= 0 Default: 0 The number of records to skip from the beginning. |
| order | string (Order) Default: "asc" Enum: "asc" "desc" The sort direction of the results (ascending or descending). |
curl --request GET \ --url 'https://api.magalu.cloud/consumption/usage?start_date=2026-04-01&end_date=2026-04-15' \ --header 'x-api-key: {API_KEY}'
{- "accrual_period": "2026-04",
- "start_date": "2026-04-01",
- "end_date": "2026-04-15",
- "results": [
- {
- "SkuId": "sku-1",
- "ConsumedQuantity": "1.000000000000000",
- "ConsumedUnit": "instances*seconds",
- "BillingAccountId": "00000000-0000-0000-0000-000000000000",
- "BillingCurrency": "BRL",
- "BillingPeriodStart": "2025-01-01T00:00:00+00:00",
- "BillingPeriodEnd": "2025-02-01T00:00:00+00:00",
- "ChargePeriodStart": "2025-01-10T10:00:00+00:00",
- "ChargePeriodEnd": "2025-01-10T11:00:00+00:00",
- "BilledCost": "0.100000000000000",
- "ProviderName": "Magalu Cloud"
}
], - "meta": {
- "page": {
- "limit": 0,
- "offset": 0,
- "count": 0,
- "total": 0,
- "max_limit": 0
}
}
}